Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.web
Class AbstractDesignTimeRequestHandler

    java.lang.Object
      |
      +--com.bea.web.RequestHandler
            |
            +--com.bea.adapter.web.AbstractDesignTimeRequestHandler

public abstract class AbstractDesignTimeRequestHandler
extends RequestHandler
implements java.io.Serializable

Provides an implementation for common actions in a design time Web application for deploying application views and connection factories.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONNECTION_PROPERTY`
`static int` | `iDEPLOYED`
`static int` | `iINITIALIZED`
`static int` | `iREADY_TO_ADD`
`static int` | `iREADY_TO_DEPLOY`
`static int` | `iUNINITIALIZED` These static final ints are used to indicate the state of an application view descriptor.
`protected javax.resource.cci.ConnectionFactory` | `m_connectionFactory`
`protected javax.resource.cci.Connection` | `m_proxy`
`static java.lang.String` | `QUALIFIED_APP_VIEW_NAME`
`protected javax.resource.cci.Connection` | `t_connection`
`protected DesignTimeHelper` | `t_dtHelper`
`protected javax.naming.InitialContext` | `t_initialContext`

Constructor Summary
`AbstractDesignTimeRequestHandler()` Initializes an initial context to ensure we are running in a valid environment.

Method Summary
`ActionResult` | `addevent(javax.servlet.http.HttpServletRequest request)` Adds an event to the application view.
`void` | `addEventSchemaToRepository(IApplicationViewDescriptor avd, IEventDescriptor ed, IDocumentDefinition eventDef)` Adds the schema for an event to the repository.
`void` | `addEventSchemaToRepository(IEventDescriptor ed, IDocumentDefinition eventDef)` Adds the schema for an event to the repository.
`protected IDocumentDescriptor` | `addOrUpdateSchema(SchemaManager schemaManager, QualifiedName schemaQName, IDocumentDefinition def)`
`QualifiedName` | `addSchemaToRepository(java.lang.String strKey, SOMSchema schema)` Deprecated. This method should not be used going forward as it does not take into account updating existing schemas or adding both request and response schemas to the repository in one logical unit of work. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
`ActionResult` | `addservc(javax.servlet.http.HttpServletRequest request)` Adds a service to the application view...This method corresponds to a JSP page named addservc.
`void` | `addServiceSchemasToRepository(IApplicationViewDescriptor avd, IServiceDescriptor sd, IDocumentDefinition requestDef, IDocumentDefinition responseDef)` Adds the request and response schemas for a service to the WLI repository.
`void` | `addServiceSchemasToRepository(IServiceDescriptor sd, IDocumentDefinition requestDef, IDocumentDefinition responseDef)` Adds the request and response schemas for a service to the WLI repository.
`ActionResult` | `appvwadmin(javax.servlet.http.HttpServletRequest request)` This method is used if the 'save' button is clicked on the appvwadmin.jsp.
`ActionResult` | `chmod(javax.servlet.http.HttpServletRequest request)` Adds security to an application view.
`protected void` | `closeConnection()` This method safely (i.e.
`ActionResult` | `confconn(javax.servlet.http.HttpServletRequest request)` Configures a connection to the underlying EIS.
`protected javax.resource.spi.ManagedConnectionFactory` | `configureManagedConnectionFactory()` Instantiates and configures an instance of an adapter specific class that implements the `javax.resource.spi.ManagedConnectionFactory` interface.
`IApplicationViewDescriptor` | `createApplicationViewDescriptor(java.lang.String appViewName)` This convenience method gets an application view descriptor from the deployManager for a given application view.
`protected IConnectionFactoryDescriptor` | `createConnectionFactoryDescriptor(QualifiedName appViewName, java.lang.String logicalName)` This protected method creates a connection factory descriptor object that implements the IConnectionFactoryDescriptor interface.
`protected void` | `debugDocument(java.lang.String strMessage, ILogger logger, IDocument doc)`
`ActionResult` | `depappvw(javax.servlet.http.HttpServletRequest request)` Deploys a new application view onto the WLAI server; this method performs the processing of the "depappvw" action.
`void` | `editEventDescriptor(ActionResult result, IEventDescriptor event, javax.servlet.http.HttpServletRequest request)` This method is called by the edtservc response method.
`void` | `editServiceDescriptor(ActionResult result, IServiceDescriptor service, javax.servlet.http.HttpServletRequest request)` This method is called by the edtservc response method.
`ActionResult` | `edtappvw(javax.servlet.http.HttpServletRequest request)` This method handles the edit application view action.
`ActionResult` | `edtevent(javax.servlet.http.HttpServletRequest request)` Edits an Event.
`ActionResult` | `edtservc(javax.servlet.http.HttpServletRequest request)` Edits a service.
`void` | `finalize()` This method is used to assure that the EIS connection (a javax.resource.cci.Connection) is closed properly.
`protected abstract java.lang.String` | `getAdapterLogicalName()` An abstract method which must be implemented by the adapter developer to return the AdapterLogicalName of their adapter
`ApplicationView` | `getApplicationView(java.lang.String strFullyQualifiedName)` This method is the accessor for the current application view.
`IApplicationViewDescriptor` | `getApplicationViewDescriptor()` This method returns the application view descriptor member of the current app view.
`IApplicationViewDescriptor` | `getApplicationViewDescriptor(java.lang.String strName)`
`int` | `getApplicationViewDescriptorState()` Returns the current state of the application view descriptor; used by the classes in the ADK Designtime Framework needing the state for conditional display logic.
`ApplicationViewManager` | `getApplicationViewManager()` This is the accessor method for the ApplicationViewManager, an external interface to the ApplicationViewManager EJB
`protected QualifiedName` | `getAppViewName(javax.servlet.http.HttpServletRequest request)`
`javax.resource.cci.Connection` | `getConnection()` This method returns the javax.resource.cci.Connection object that is a member variable of this class.
`javax.resource.cci.ConnectionFactory` | `getConnectionFactory()` This method returns the javax.resource.cci.ConnectionFactory object that is a member variable of this class.
`protected java.lang.String` | `getConnectionFactoryDeploymentName(QualifiedName appViewName)`
`protected java.lang.String` | `getConnectionFactoryJNDIName(QualifiedName qualifiedAppViewName)` This method retrieves the JNDI name for the connection factory.
`ConnectionFactoryManager` | `getConnectionFactoryManager()`
`protected java.lang.String` | `getConnectionFactoryObjectName(QualifiedName appViewName)`
`javax.resource.cci.Connection` | `getConnectionFromAppView(ApplicationView av)` This method is the accessor for a cci.Connection object of the application view argument.
`DeployManager` | `getDeployManager()`
`java.lang.String` | `getEventSchemaName(IEventDescriptor ed)` Convenience method to retrieve the event schema's name.
`protected javax.naming.InitialContext` | `getInitialContext()` Provides an initial JNDI context
`javax.resource.cci.InteractionSpec` | `getInteractionSpecForService(ApplicationView av, java.lang.String strService)` Deprecated. - this method should not be used because binding the InteractionSpec into JNDI can lead to class loading issues. Instead, you should get the IServiceDescriptor from the IApplicationViewDescriptor to get properties for a service.
`protected abstract java.lang.Class` | `getManagedConnectionFactoryClass()` An abstract method which must be implemented by the adapter developer to return the ManagedConnectionFactory class of their adapter.
`NamespaceManager` | `getNamespaceManager()` This is the accessor method for the NamespaceManager, an external interface to the NamespaceManager EJB
`protected java.lang.String` | `getNextAction(java.lang.String strAction)` A no-op method (returns null by default) that adapter developers can override to alter the screen flow.
`QualifiedName` | `getQualifiedName(java.lang.String strQualifiedName)`
`java.lang.String` | `getRequestSchemaName(IServiceDescriptor sd)` Convenience method to retrieve the service request schema's name.
`java.lang.String` | `getResponseSchemaName(IServiceDescriptor sd)` Convenience method to retrieve the service response schema's name.
`SchemaManager` | `getSchemaManager()` This is the accessor method for the SchemaManager, an external interface to the SchemaManager EJB
`protected abstract void` | `initEventDescriptor(ActionResult result, IEventDescriptor ed, javax.servlet.http.HttpServletRequest request)` Initializes an event descriptor.
`protected abstract void` | `initServiceDescriptor(ActionResult result, IServiceDescriptor sd, javax.servlet.http.HttpServletRequest request)` Initializes a service descriptor which involves creating the request and response schemas for the service.
`void` | `loadEventDescriptorProperties(javax.servlet.http.HttpServletRequest request)` Maps properties to fields on the html page.
`void` | `loadServiceDescriptorProperties(javax.servlet.http.HttpServletRequest request)` Maps properties to fields on the html page.
`ActionResult` | `redepappvw(javax.servlet.http.HttpServletRequest request)` Re-deploy a previously deployed application view directly from the appvwsum page.
`ActionResult` | `remappvw(javax.servlet.http.HttpServletRequest request)` This method is used to DELETE an application view from the repository.
`ActionResult` | `removeprincipal(javax.servlet.http.HttpServletRequest request)` This method is used to remove a principle from a security list.
`int` | `resetApplicationViewDescriptor(java.lang.String strQualifiedAppViewName)` Resets our internal representation of an application view to arg if needed
`protected void` | `savePropertiesFromFactory(javax.resource.spi.ManagedConnectionFactory factory)` This method uses java reflection to save the appropriate properties from the ManagedConnectionFactory.
`void` | `setApplicationViewDescriptor(IApplicationViewDescriptor avd)` This method allows you to set the member variable m_avd by passing in an IApplicationViewDescriptor.
`void` | `setLogContextName(java.lang.String strLogContextName)` Overrides parent's method to append .DesignTime onto the log context.
`boolean` | `supportsEditableEvents()` Used by the designtime web frame work to determine if an adapter supports editing of events.
`boolean` | `supportsEditableServices()` Used by the designtime web frame work to determine if an adapter supports editing of services.
`boolean` | `supportsEvents()` Used by the designtime web frame work to determine if an adapter supports events.
`boolean` | `supportsEventTest()` Used by the designtime web frame work to determine if an adapter supports the testing of events.
`boolean` | `supportsServices()` Used by the designtime web frame work to determine if an adapter supports services.
`boolean` | `supportsServiceTest()` Used by the designtime web frame work to determine if an adapter supports the testing of services.
`ActionResult` | `undepappvw(javax.servlet.http.HttpServletRequest request)` This method is used to undeploy an application view from the server, yet leave it in the repository for future editing or deployment.
`void` | `updateSchemaInRepository(java.lang.String strSchemaName, SOMSchema schema)` Deprecated. This method should not be used going forward. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
`protected javax.resource.spi.ManagedConnectionFactory` | `validateConnectionParameters()` Verifies that the user supplied connection paramters are sufficient to configure an SPI ManagedConnectionFactory instance to open a connection to the underlying EIS.

Methods inherited from class com.bea.web.RequestHandler
`clear, containsField, debug, get, getAdditionalExceptionMessages, getContent, getContent, getContent, getFormFieldPair, getLogConfigFile, getLogContext, getLogger, getMessageBundleBase, getResourceBundle, getUserAgent, getUserName, init, read, remove, set, setLocale, setLogConfigFile, setMessageBundleBase, setUserAgent, setUserName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUALIFIED_APP_VIEW_NAME

    public static final java.lang.String QUALIFIED_APP_VIEW_NAME

### CONNECTION_PROPERTY

    public static final java.lang.String CONNECTION_PROPERTY

### iUNINITIALIZED

    public static final int iUNINITIALIZED

  These static final ints are used to indicate the state of an application view descriptor. They are returned by the public method getApplicationViewDescriptorState()

### iINITIALIZED

    public static final int iINITIALIZED

### iREADY_TO_ADD

    public static final int iREADY_TO_ADD

### iREADY_TO_DEPLOY

    public static final int iREADY_TO_DEPLOY

### iDEPLOYED

    public static final int iDEPLOYED

### m_proxy

    protected transient javax.resource.cci.Connection m_proxy

### t_connection

    protected transient javax.resource.cci.Connection t_connection

### m_connectionFactory

    protected javax.resource.cci.ConnectionFactory m_connectionFactory

### t_dtHelper

    protected transient DesignTimeHelper t_dtHelper

### t_initialContext

    protected transient javax.naming.InitialContext t_initialContext

Constructor Detail

### AbstractDesignTimeRequestHandler

    public AbstractDesignTimeRequestHandler()
                                     throws javax.naming.NamingException

  Initializes an initial context to ensure we are running in a valid environment.

Method Detail

### setLogContextName

    public void setLogContextName(java.lang.String strLogContextName)

  Overrides parent's method to append .DesignTime onto the log context.

  Overrides:
    setLogContextName in class RequestHandler

### getInitialContext

    protected javax.naming.InitialContext getInitialContext()
                                                     throws javax.naming.NamingException

  Provides an initial JNDI context

### getApplicationViewManager

    public ApplicationViewManager getApplicationViewManager()
                                                     throws javax.naming.NamingException,
                                                            javax.ejb.CreateException,
                                                            java.rmi.RemoteException

  This is the accessor method for the ApplicationViewManager, an external interface to the ApplicationViewManager EJB

  Returns:
    ApplicationViewManager

### getConnectionFactoryManager

    public ConnectionFactoryManager getConnectionFactoryManager()
                                                         throws javax.naming.NamingException,
                                                                javax.ejb.CreateException,
                                                                java.rmi.RemoteException

### getNamespaceManager

    public NamespaceManager getNamespaceManager()
                                         throws javax.naming.NamingException,
                                                javax.ejb.CreateException,
                                                java.rmi.RemoteException,
                                                NamespaceException

  This is the accessor method for the NamespaceManager, an external interface to the NamespaceManager EJB

  Returns:
    NamespaceManager

### getSchemaManager

    public SchemaManager getSchemaManager()
                                   throws javax.naming.NamingException,
                                          javax.ejb.CreateException,
                                          java.rmi.RemoteException

  This is the accessor method for the SchemaManager, an external interface to the SchemaManager EJB

  Returns:
    SchemaManager

### getDeployManager

    public DeployManager getDeployManager()
                                   throws javax.naming.NamingException,
                                          javax.ejb.CreateException,
                                          java.rmi.RemoteException

  Returns:
    the deploy manager for this server

### getApplicationView

    public ApplicationView getApplicationView(java.lang.String strFullyQualifiedName)
                                       throws java.lang.Exception

  This method is the accessor for the current application view.

  Parameters:
    `strFullyQualifiedName` - is the qualified name of the application view.
  Returns:
    ApplicationView

### getConnectionFromAppView

    public javax.resource.cci.Connection getConnectionFromAppView(ApplicationView av)
                                                           throws java.lang.Exception

  This method is the accessor for a cci.Connection object of the application view argument. (This method uses the connection factory associated with this application view to get the connection object.)

  Parameters:
    `av` - is an ApplicationView
  Returns:
    a javax.resource.cci.Connection

### getInteractionSpecForService

    public javax.resource.cci.InteractionSpec getInteractionSpecForService(ApplicationView av,
                                                                           java.lang.String strService)
                                                                    throws java.lang.Exception

  Deprecated. - this method should not be used because binding the InteractionSpec into JNDI can lead to class loading issues. Instead, you should get the IServiceDescriptor from the IApplicationViewDescriptor to get properties for a service.
  This method retrieves the InteractionSpec for the given application view/ service. It uses the two arguments to create a JNDI name for lookup.

  Parameters:
    `av` - is the ApplicationView object
    `strService` - is the String service name
  Returns:
    javax.resource.cci.InteractionSpec

### getAdapterLogicalName

    protected abstract java.lang.String getAdapterLogicalName()

  An abstract method which must be implemented by the adapter developer to return the AdapterLogicalName of their adapter

  Returns:
    String adapter's logical name. For example, the sample DBMS Adapter's logical name is BEA_WLS_DBMS_ADK, and the sample Email Adapter's logical name is BEA_WLS_EMAIL_ADK.

### getManagedConnectionFactoryClass

    protected abstract java.lang.Class getManagedConnectionFactoryClass()

  An abstract method which must be implemented by the adapter developer to return the ManagedConnectionFactory class of their adapter.

  Returns:
    Class (specific to each adapter - the implementatin class for your adapter's ManagedConnectionFactory.

### getConnection

    public javax.resource.cci.Connection getConnection()
                                                throws java.lang.Exception

  This method returns the javax.resource.cci.Connection object that is a member variable of this class.

  Returns:
    javax.resource.cci.Connection
  Throws:
    java.lang.Exception - if the connection cannot be obtained.

### getConnectionFactory

    public javax.resource.cci.ConnectionFactory getConnectionFactory()
                                                              throws java.lang.Exception

  This method returns the javax.resource.cci.ConnectionFactory object that is a member variable of this class.

  Returns:
    javax.resource.cci.ConnectionFactory
  Throws:
    java.lang.Exception - if the connection cannot be obtained.

### closeConnection

    protected void closeConnection()

  This method safely (i.e. exceptions generated during close are logged as warnings, but not thrown) closes the connection handle to the EIS.

### createApplicationViewDescriptor

    public IApplicationViewDescriptor createApplicationViewDescriptor(java.lang.String appViewName)

  This convenience method gets an application view descriptor from the deployManager for a given application view. If it fails, it returns null to the calling jsp.

  Parameters:
    `appViewName` - is the String name of the application view
  Returns:
    IApplicationViewDescriptor

### getApplicationViewDescriptor

    public IApplicationViewDescriptor getApplicationViewDescriptor()

  This method returns the application view descriptor member of the current app view. This member may be null (after deployment for example.) For that reason, clients should call the createApplicationViewDescriptor method to retrieve the avd of a particular app view.

  Returns:
    IApplicationViewDescriptor

### getApplicationViewDescriptor

    public IApplicationViewDescriptor getApplicationViewDescriptor(java.lang.String strName)
                                                            throws ApplicationViewException,
                                                                   javax.naming.NamingException,
                                                                   javax.ejb.CreateException,
                                                                   java.rmi.RemoteException,
                                                                   NamespaceException

### setApplicationViewDescriptor

    public void setApplicationViewDescriptor(IApplicationViewDescriptor avd)

  This method allows you to set the member variable m_avd by passing in an IApplicationViewDescriptor.

  Parameters:
    `avd` - is an IApplicationViewDescriptor

### resetApplicationViewDescriptor

    public int resetApplicationViewDescriptor(java.lang.String strQualifiedAppViewName)
                                       throws java.lang.Exception

  Resets our internal representation of an application view to arg if needed

  Returns:
    the state of our application view descriptor

### addSchemaToRepository

    public QualifiedName addSchemaToRepository(java.lang.String strKey,
                                               SOMSchema schema)
                                        throws java.lang.Exception

  Deprecated. This method should not be used going forward as it does not take into account updating existing schemas or adding both request and response schemas to the repository in one logical unit of work. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
  Add a schema to the WLAI schema repository.

  Parameters:
    `strKey` - - the key for the schema in the repository
    `schema` - - the schema object to add to the repository
  Throws:
    java.lang.Exception - - An exceptional condition was encountered while trying to add the schema to the repository.

### updateSchemaInRepository

    public void updateSchemaInRepository(java.lang.String strSchemaName,
                                         SOMSchema schema)
                                  throws java.lang.Exception

  Deprecated. This method should not be used going forward. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
  Update a schema in the WLAI schema repository.

  Parameters:
    `schemaName` - - the key for the schema in the repository
    `schema` - - the schema object to update in the repository
  Throws:
    java.lang.Exception - - An exceptional condition was encountered while trying to update the schema in the repository.

### addServiceSchemasToRepository

    public void addServiceSchemasToRepository(IServiceDescriptor sd,
                                              IDocumentDefinition requestDef,
                                              IDocumentDefinition responseDef)
                                       throws java.lang.Exception

  Adds the request and response schemas for a service to the WLI repository. The schemas are added in such a way to prevent the request from being in the repository and not the response, i.e. all or nothing. In addition, this method checks to see if the schema is already in the repository, and if it is, it is updated. This prevents us from getting a primary key constraint exception. In short, it is safe to call this method when either adding or editing a service, it takes care of the details. If all is well the IServiceDescriptor is updated to reflect the names of the schemas for the service.

### addEventSchemaToRepository

    public void addEventSchemaToRepository(IEventDescriptor ed,
                                           IDocumentDefinition eventDef)
                                    throws java.lang.Exception

  Adds the schema for an event to the repository. This method checks to see if the schema is already in the repository and if it is, the schema is updated. In short, it is safe to call this method when either adding or editing an event, it takes care of the details.

### addServiceSchemasToRepository

    public void addServiceSchemasToRepository(IApplicationViewDescriptor avd,
                                              IServiceDescriptor sd,
                                              IDocumentDefinition requestDef,
                                              IDocumentDefinition responseDef)
                                       throws java.lang.Exception

  Adds the request and response schemas for a service to the WLI repository. The schemas are added in such a way to prevent the request from being in the repository and not the response, i.e. all or nothing. In addition, this method checks to see if the schema is already in the repository, and if it is, it is updated. This prevents us from getting a primary key constraint exception. In short, it is safe to call this method when either adding or editing a service, it takes care of the details. If all is well the IServiceDescriptor is updated to reflect the names of the schemas for the service.

### addEventSchemaToRepository

    public void addEventSchemaToRepository(IApplicationViewDescriptor avd,
                                           IEventDescriptor ed,
                                           IDocumentDefinition eventDef)
                                    throws java.lang.Exception

  Adds the schema for an event to the repository. This method checks to see if the schema is already in the repository and if it is, the schema is updated. In short, it is safe to call this method when either adding or editing an event, it takes care of the details.

### addOrUpdateSchema

    protected IDocumentDescriptor addOrUpdateSchema(SchemaManager schemaManager,
                                                    QualifiedName schemaQName,
                                                    IDocumentDefinition def)
                                             throws java.lang.Exception

  Returns:
    an IDocumentDescriptor that describes a schema in the repository.

### getQualifiedName

    public QualifiedName getQualifiedName(java.lang.String strQualifiedName)
                                   throws javax.naming.NamingException,
                                          javax.ejb.CreateException,
                                          java.rmi.RemoteException,
                                          NamespaceException

### finalize

    public void finalize()

  This method is used to assure that the EIS connection (a javax.resource.cci.Connection) is closed properly.

  Overrides:
    finalize in class java.lang.Object

### getApplicationViewDescriptorState

    public int getApplicationViewDescriptorState()

  Returns the current state of the application view descriptor; used by the classes in the ADK Designtime Framework needing the state for conditional display logic. You can call setApplicationViewDescriptor() before calling this method to initialize the m_avd member.

  Returns:
    int indicating the state of the application view descriptor. The method uses static final ints initialized in this class.

### getNextAction

    protected java.lang.String getNextAction(java.lang.String strAction)

  A no-op method (returns null by default) that adapter developers can override to alter the screen flow. Return the next action for strAction.

  Parameters:
    `strAction` - is the action for which we want to get the next action (jsp screen) in our screen flow. The code elsewhere in this class that calls this method always checks for null before moving forward.
  Returns:
    String name of the next action or jsp screen (action = jsp)

### confconn

    public ActionResult confconn(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Configures a connection to the underlying EIS.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.

### getAppViewName

    protected QualifiedName getAppViewName(javax.servlet.http.HttpServletRequest request)
                                    throws java.lang.Exception

### redepappvw

    public ActionResult redepappvw(javax.servlet.http.HttpServletRequest request)
                            throws java.lang.Exception

  Re-deploy a previously deployed application view directly from the appvwsum page.

### depappvw

    public ActionResult depappvw(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Deploys a new application view onto the WLAI server; this method performs the processing of the "depappvw" action. The algorithm is: 1. determine if we're saving, but not deploying the av by checking the request parameter 'save' and assign to bSave boolean 2. get our cfd and set the deployment parameters on it 3. if (!bSave) i.e., we're deploying & saving a. deploy the cfd and the avd b. set our nextAction variable, and create our return object (ActionResult) 4. Now save both the cfd and the avd (needed if we're "saving" or "deploying") because deploying an av should save as well. 5. if (bSave) set the nextAction variable, and create our return object to use it (clicking the save button causes the same page to reload, whereas clicking the "continue" button moves the interface to the next logical screen.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.

### appvwadmin

    public ActionResult appvwadmin(javax.servlet.http.HttpServletRequest request)
                            throws java.lang.Exception

  This method is used if the 'save' button is clicked on the appvwadmin.jsp. It saves the connection Factory descriptor and the application view descriptor, and redisplays the appvwadmin page.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.

### chmod

    public ActionResult chmod(javax.servlet.http.HttpServletRequest request)
                       throws java.lang.Exception

  Adds security to an application view. Handles the submit of the jsp with the same name.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.

### removeprincipal

    public ActionResult removeprincipal(javax.servlet.http.HttpServletRequest request)
                                 throws java.lang.Exception

  This method is used to remove a principle from a security list.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.

### edtappvw

    public ActionResult edtappvw(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  This method handles the edit application view action.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action

### undepappvw

    public ActionResult undepappvw(javax.servlet.http.HttpServletRequest request)
                            throws java.lang.Exception

  This method is used to undeploy an application view from the server, yet leave it in the repository for future editing or deployment.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action

### remappvw

    public ActionResult remappvw(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  This method is used to DELETE an application view from the repository. You should call undepappvw to UNDEPLOY and application view from the server.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action

### getEventSchemaName

    public java.lang.String getEventSchemaName(IEventDescriptor ed)

  Convenience method to retrieve the event schema's name.

  Parameters:
    `ed` - is an IEventDescriptor
  Returns:
    String name of the schema

### getRequestSchemaName

    public java.lang.String getRequestSchemaName(IServiceDescriptor sd)

  Convenience method to retrieve the service request schema's name.

  Parameters:
    `sd` - is an IServiceDescriptor
  Returns:
    String name of the schema

### getResponseSchemaName

    public java.lang.String getResponseSchemaName(IServiceDescriptor sd)

  Convenience method to retrieve the service response schema's name.

  Parameters:
    `sd` - is an IServiceDescriptor
  Returns:
    String name of the schema

### validateConnectionParameters

    protected javax.resource.spi.ManagedConnectionFactory validateConnectionParameters()
                                                                                throws java.lang.Exception

  Verifies that the user supplied connection paramters are sufficient to configure an SPI ManagedConnectionFactory instance to open a connection to the underlying EIS.

  Returns:
    a ManagedConnectionFactory
  Throws:
    java.lang.Exception - if the connection object is null.

### configureManagedConnectionFactory

    protected javax.resource.spi.ManagedConnectionFactory configureManagedConnectionFactory()
                                                                                     throws java.lang.ClassNotFoundException,
                                                                                            java.lang.IllegalAccessException,
                                                                                            java.lang.InstantiationException,
                                                                                            java.beans.IntrospectionException,
                                                                                            java.lang.reflect.InvocationTargetException

  Instantiates and configures an instance of an adapter specific class that implements the `javax.resource.spi.ManagedConnectionFactory` interface. This method uses the Java reflection API to invoke all setter methods on the instance that have a corresponding entry in the `mapOfConnectionParameters` argument.

  Parameters:
    `strManagedConnectionFactoryClassName` - - the fully qualified class name of the `javax.resource.spi.ManagedConnectionFactory` implementation class for the adapter.
  Returns:
    ManagedConnectionFactory

### getConnectionFactoryObjectName

    protected java.lang.String getConnectionFactoryObjectName(QualifiedName appViewName)

  Returns:
    the object name to use for this connection factory within its parent namespace.

### getConnectionFactoryDeploymentName

    protected java.lang.String getConnectionFactoryDeploymentName(QualifiedName appViewName)

  Returns:
    the name to use when deploying/undeploying this connection factory.

### getConnectionFactoryJNDIName

    protected java.lang.String getConnectionFactoryJNDIName(QualifiedName qualifiedAppViewName)

  This method retrieves the JNDI name for the connection factory.

  Parameters:
    `qualifiedAppViewName` - is a QualifiedName object for the app view.
  Returns:
    String the JNDI name for a connection factory descriptor.

### savePropertiesFromFactory

    protected void savePropertiesFromFactory(javax.resource.spi.ManagedConnectionFactory factory)
                                      throws java.lang.Exception

  This method uses java reflection to save the appropriate properties from the ManagedConnectionFactory.

  Parameters:
    `factory` - is the ManagedConnectionFactory whose properties need saving.

### supportsEvents

    public boolean supportsEvents()

  Used by the designtime web frame work to determine if an adapter supports events. Returns true by default. This should be overridden by the adapter developer if the adapter does not support events.

### supportsServices

    public boolean supportsServices()

  Used by the designtime web frame work to determine if an adapter supports services. Returns true by default. This should be overridden by the adapter developer if the adapter does not support services.

### supportsServiceTest

    public boolean supportsServiceTest()

  Used by the designtime web frame work to determine if an adapter supports the testing of services. Returns false by default. This should be overridden by the adapter developer if the adapter supports the testing of services.

### supportsEventTest

    public boolean supportsEventTest()

  Used by the designtime web frame work to determine if an adapter supports the testing of events. Returns false by default. This should be overridden by the adapter developer if the adapter supports the testing of events.

### supportsEditableEvents

    public boolean supportsEditableEvents()

  Used by the designtime web frame work to determine if an adapter supports editing of events. Returns false by default. This should be overridden by the adapter developer if the adapter supports the editing of events.

### supportsEditableServices

    public boolean supportsEditableServices()

  Used by the designtime web frame work to determine if an adapter supports editing of services. Returns false by default. This should be overridden by the adapter developer if the adapter supports the editing of services.

### addservc

    public ActionResult addservc(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Adds a service to the application view...This method corresponds to a JSP page named addservc. When the user submits the form on the addservc page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your addservc form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for adding a service to an application view. It relies on an abstract method initServiceDescriptor to supply the EIS specific aspects of adding a service.

  Returns:
    an object that describes the outcome of this action.

### edtservc

    public ActionResult edtservc(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Edits a service. This method corresponds to a JSP page named edtservc. When the user submits the form on the edtservc page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your edtservc form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for saving fields on the service page. It relies on an abstract method editServiceDescriptor to supply the EIS specific aspects of adding a service.

  Returns:
    an object that describes the outcome of this action.

### initServiceDescriptor

    protected abstract void initServiceDescriptor(ActionResult result,
                                                  IServiceDescriptor sd,
                                                  javax.servlet.http.HttpServletRequest request)
                                           throws java.lang.Exception

  Initializes a service descriptor which involves creating the request and response schemas for the service. A typical approach is to execute an Interaction against the EIS to retrieve metadata and transform it into an XML schema. Consequently, we use the CCI interface provided by the adapter. Subclasses must provide an implementation of this method. If the adapter does not support services, then the method should throw an UnsupportedOperationException.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `sd` - - an object that describes a service for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    java.lang.Exception - if an error occurs while attempting to create the request and/or response schemas via a call to the EIS.

### loadServiceDescriptorProperties

    public void loadServiceDescriptorProperties(javax.servlet.http.HttpServletRequest request)
                                         throws java.lang.Exception

  Maps properties to fields on the html page. This method is used to populate an html page for edit.

  Parameters:
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    java.lang.Exception - if an error occurs while initializing the event descriptor

### editServiceDescriptor

    public void editServiceDescriptor(ActionResult result,
                                      IServiceDescriptor service,
                                      javax.servlet.http.HttpServletRequest request)
                               throws java.lang.Exception

  This method is called by the edtservc response method. Its purpose is to extract information from a form and populate the service descriptor.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `sd` - - an object that describes a service for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    java.lang.Exception - if an error occurs while initializing the event descriptor

### addevent

    public ActionResult addevent(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Adds an event to the application view. This method provides the common logic required for adding an event to an application view. It relies on an abstract method initEventDescriptor to supply the EIS specific aspects of adding an event.

  Returns:
    an object that describes the outcome of this action.

### edtevent

    public ActionResult edtevent(javax.servlet.http.HttpServletRequest request)
                          throws java.lang.Exception

  Edits an Event. This method corresponds to a JSP page named edtevent. When the user submits the form on the edtevent page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your edtevent form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for saving fields on the event page. It relies on an abstract method editEventDescriptor to supply the EIS specific aspects for adding an event.

  Returns:
    an object that describes the outcome of this action.

### initEventDescriptor

    protected abstract void initEventDescriptor(ActionResult result,
                                                IEventDescriptor ed,
                                                javax.servlet.http.HttpServletRequest request)
                                         throws java.lang.Exception

  Initializes an event descriptor. The event descriptor provides information about an event on an application view. Subclasses will need to supply an implementation of this method. If events are not supported, then the implementation should throw an UnsupportedOperationException. This method will not be called until the event name and definition have been validated and the event does not already exist for the application view.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `ed` - - provides information about an event for an application view; schema name, etc.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    java.lang.Exception - if an error occurs while initializing the event descriptor

### loadEventDescriptorProperties

    public void loadEventDescriptorProperties(javax.servlet.http.HttpServletRequest request)
                                       throws java.lang.Exception

  Maps properties to fields on the html page. This method is used to populate an html page for edit.

  Parameters:
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    java.lang.Exception - if an error occurs while initializing the event descriptor

### editEventDescriptor

    public void editEventDescriptor(ActionResult result,
                                    IEventDescriptor event,
                                    javax.servlet.http.HttpServletRequest request)
                             throws java.lang.Exception

  This method is called by the edtservc response method. Its purpose is to extract information from a form and populate the event descriptor.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `sd` - - an object that describes a service for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    java.lang.Exception - if an error occurs while initializing the event descriptor

### debugDocument

    protected void debugDocument(java.lang.String strMessage,
                                 ILogger logger,
                                 IDocument doc)

### createConnectionFactoryDescriptor

    protected IConnectionFactoryDescriptor createConnectionFactoryDescriptor(QualifiedName appViewName,
                                                                             java.lang.String logicalName)
                                                                      throws java.lang.Exception

  This protected method creates a connection factory descriptor object that implements the IConnectionFactoryDescriptor interface.

  Returns:
    IConnectionFactoryDescriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)